Problem bei der Umstellung auf .NET 4.0 nicht CLS-kompatibel??

10/05/2010 - 13:25 von Ingo Manthey | Report spam
Hallo NG,

ich bin dabei mein Projekt von 3.5 auf 4.0 umzustellen.
Ich habe in meinem alten Projekt eine VB Klasse welche ich nun unter 4.0
kompiliert habe. Die Übersetzung erfolgte ohne Fehler und Warnungen.
In einer neuen Bibliothek hat ich die Klasse in einem Interface eingebunden:

public interface MyInterface
{
MyVBKlass oClass
}

hier bekomme ich nun vom compiler die Warung oClass ist nicht
CLS-kompatiebel.
Was muss ich machen?? Das selbe Interface unter .Net 3.5 gab keine Warnung
aus und arbeitet problemlos.

Danke für jeden Hinweis und Tipp.
 

Lesen sie die antworten

#1 Ingo Manthey
10/05/2010 - 13:33 | Warnen spam
Hallo NG,

sorry Problem gelöst.

Grüße Ingo

Ähnliche fragen